Subject: RE: [mobile-ip] NAIs for HA and FA (draft-ietf-mobileip-gnaie-05.txt)

From: "Patil Basavaraj (NET/Dallas)" <[email-masked]>
Date: Mon, 15 Oct 2001 16:46:27 -0500

>"Patil Basavaraj (NET/Dallas)" wrote:
>> 
>> Hello,
>> 
>> I-D draft-ietf-mobileip-gnaie-05.txt specifies an NAI for the Foreign
>> Agent and Home Agent. These NAIs are carried in the Reg_Req and
>> Reg_Resp messages of Mobile IPv4. The draft does not specify the
>> applicability of these NAIs. What do you believe will be the need and
>> the use for NAIs asociated with Foreign agents and Home Agents?
>> Is there a real need for HA/FA NAIs? Comments, opinions...
>> 
>> -Basavaraj
>
>FA NAI can be used to identify a visited network or visited domain
>in case of LMM.
>

Identify the visited network/domain to the MN? But the agent
advertisement does not carry the FA NAI (at least not according to the
I-D). Did you mean something else with your statement, especially
since you introduce LMMs into this thread.

>-Jari

-Basavaraj

---

From: "Jari T. Malinen" <[email-masked]>
Date: Mon, 15 Oct 2001 15:34:50 -0700

> since you introduce LMMs into this thread.

It is an optional feature of the movement detection in the
IPv4 regional registration. If FA advertises only its GMA, movement
detection needs FA-NAI. If agent adv will be cleared of FA-NAI, this
document is affected.

-Jari